//#define katod//    .   

#define BIT	_BV

#define PINLED	PINB
#define PORTLED	PORTB
#define	DDRLED	DDRB
#define	PORTZN	PORTC
#define DDRZN	DDRC
#define	ZN0		BIT(0)
#define	ZN1		BIT(1)
#define	ZN2		BIT(2)
#define	ZN3		BIT(3)
#define	BITZN	(ZN0|ZN1|ZN2|ZN3)

#define DATA  1
#define SHIFT 0
#define STORAGE 2
#define PORTSERIAL  PORTD
#define DDRSERIAL  	DDRD


#define PORTDRIVE	PORTD
#define DDRDRIVE	DDRD
//#define DRIVE_TEN_1	BIT(PD5)
//#define DRIVE_TEN_2	BIT(PD6)
//#define DRIVE_TIMER	BIT(PD7)
//#define DRIVE_HOLOD	BIT(3)

#define PINDRIVE	PIND

#define swt_avto_timer	BIT(3)

#define	btn_plus		BIT(2)
#define	btn_minus		BIT(3)
#define	btn_set			BIT(4)
#define	btn_set_timer	BIT(5)
#define	btn_start_timer	BIT(6)

//#define PORT_SW		PORTC
//#define PIN_SW		PINC
//#define	sw_on_off		BIT(0)


#define	PORT_1wire	PORTC
#define	DDR_1wire	DDRC
#define	PIN_1wire	PINC
#define	pwire0 			BIT(PB4)	// DQ DS18B20
#define	pwire1 			BIT(PB5)


const unsigned char font[]={0x3F,0x6,0x5B,0x4F,0x66,0x6D,0x7D,0x7,0x7F,0x6F,0x79,0x78,0x5E,0x77,0x40,0x80,0x73,0x54,0x39};
#define f_e	10
#define f_t	11
#define f_d	12
#define f_a	13
#define f_seg_g 14
#define tochka	15
#define f_P	16
#define f_n	17
#define f_C	18
//const unsigned char 

unsigned char	lcd_buffer[4], znmesto,state_wire,
				view_zadanie, 
				anti_dr, key, btn_speed, n_btn_sp, 
				out_1wire, tempir[4], time_wire, 
				bcd_num1,bcd_num2,bcd_num3,bcd_num4,
				view_tim_drive,
				state_led, time_view_ds, delay_output,
				tim_1sek, tim_minuta, eeprom_eer;

struct {
	uint8_t delay_output;
	uint8_t TimeDsView[2];
	uint8_t Timehhmm[2];
	uint16_t TimeWork;
	int16_t Porog[4];
	int16_t crc;
} Tim;

int16_t Temperature[2];
unsigned int time_view_zadanie, taimer[2];	

volatile unsigned char time_flag=0,  time[3]={1,1,1};

//--------time_flag-----------
#define _01sek		0
#define _led		1
#define _viewp		2
#define _timer_on	3
#define _timer_start 4
#define _view_ds_0	5

//-------state_led----------- for 74HC595
#define	view_ds_0		BIT(0)
#define	t_norma_0		BIT(1)
#define	t_norma_1		BIT(2)
#define dr_timer_on		BIT(3)
#define DRIVE_TIMER		BIT(4)
#define ohologden_0		BIT(5)
#define DRIVE_TEN_1		BIT(6)
#define DRIVE_TEN_2		BIT(7)


//-------------EEPROM-----------------
#define EEP_ADR	10
//------------------------------------

